Skip to content

Creates a Member Identifier Value for a given member

POST
/api/v2.0/stores/{storeId}/members/{memberId}/identifiers
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/identifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "type_id": 1, "value": "example" }'
storeId
required
string

The store ID

Example
your-store-id
memberId
required
string

The member ID

Example
m_nsr714RRBEHX
object
type_id
integer format: int32
value

Represents the value by which a member can be searched

string
nullable
Examplegenerated
{
"type_id": 1,
"value": "example"
}

OK

Media typeapplication/json
object
id
integer format: int32
type_id
integer format: int32
type
string
nullable
value
string
nullable
Examplegenerated
{
"id": 1,
"type_id": 1,
"type": "example",
"value": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}